--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/cnc18xx_gfxobj.h	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/cnc18xx_gfxobj.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,117 @@
+/*******************************************************************************
+
+File name   : orion_gfxobj.h
+
+Description : 
+
+COPYRIGHT (C) CelestialSemi 2007.
+
+Date               Modification                               Name
+----               ------------                               ----
+2007-03-30         Created                                    xm.chen
+*******************************************************************************/
+
+/* Define to prevent recursive inclusion */
+
+#ifndef __ORION_GFXOBJ_H____
+#define __ORION_GFXOBJ_H____
+
+/* Includes ----------------------------------------------------------------- */
+#include <linux/types.h>
+
+/* C++ support */
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/* Exported Constants ------------------------------------------------------- */
+typedef u8 boolean;
+#ifndef TRUE
+	#define TRUE 1
+#endif
+#ifndef FALSE
+	#define FALSE 0
+#endif
+
+typedef enum CSBLIT_ColorType_e
+{
+  CSBLIT_COLOR_TYPE_A0 = 2,       /*one single color, can't be set to output colortype*/
+  CSBLIT_COLOR_TYPE_RGB565 = 0,
+  CSBLIT_COLOR_TYPE_ARGB1555 = 3,
+  CSBLIT_COLOR_TYPE_ARGB4444 = 1,
+  CSBLIT_COLOR_TYPE_ARGB8888 = 6,
+  CSBLIT_COLOR_TYPE_CLUT4 = 4,
+  CSBLIT_COLOR_TYPE_CLUT8 = 5,
+} CSBLIT_ColorType_t;
+
+typedef struct CSBLIT_Bitmap_s
+{
+  CSBLIT_ColorType_t			ColorType;
+  unsigned int                                   Width;
+  unsigned int                                   Height;
+  unsigned int                                   Pitch;
+  unsigned int                                   Offset;
+  void*                                 Data_p;
+  unsigned int                                   Size;
+} CSBLIT_Bitmap_t;
+
+typedef struct CSBLIT_ColorARGB_s
+{
+  unsigned char Alpha;
+  unsigned char R;
+  unsigned char G;
+  unsigned char B;
+} CSBLIT_ColorARGB_t;
+
+typedef struct CSBLIT_ColorRGB_s
+{
+  unsigned char R;
+  unsigned char G;
+  unsigned char B;
+} CSBLIT_ColorRGB_t;
+
+typedef struct CSBLIT_ColorKeyRGB_s
+{
+  unsigned char      RMin;
+  unsigned char      RMax;
+  unsigned char    ROut;
+  
+  unsigned char      GMin;
+  unsigned char      GMax;
+  unsigned char    GOut;
+
+  unsigned char      BMin;
+  unsigned char      BMax;
+  unsigned char    BOut;
+
+  unsigned char    RGBEnable;
+} CSBLIT_ColorKeyRGB_t;
+
+typedef union CSBLIT_ColorValue_u
+{
+  CSBLIT_ColorARGB_t           ARGB8888;
+  CSBLIT_ColorRGB_t            RGB565;
+} CSBLIT_ColorValue_t;
+
+typedef struct CSBLIT_Color_s
+{
+  CSBLIT_ColorType_t            Type;
+  CSBLIT_ColorValue_t           Value;
+} CSBLIT_Color_t;
+
+typedef struct CSBLIT_Rectangle_s
+{
+  int PositionX;
+  int PositionY;
+  unsigned int Width;
+  unsigned int Height;
+} CSBLIT_Rectangle_t;
+/* C++ support */
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* #ifndef __ORION_GFXOBJ_H */
+
+/* End of orion_gxobj.h */
+
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/Kconfig linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/Kconfig
--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/Kconfig	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/Kconfig	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,30 @@
+#
+# Character device configuration
+#
+
+menu "Celestial Graphics driver"
+
+config CELESTIAL_GRAPHICS
+	bool "GRAPHICS(2D)"
+	depends on ARCH_CELESTIAL
+	default y
+    help 
+      Include support drvier for graphic of celestial platform
+
+config CELESTIAL_GRAPHICS_DEBUG
+       bool "Debugging 2D graphics engine"
+       depends on CELESTIAL_GRAPHICS
+       help
+         This turns on low-level debugging for the celestial graphics driver.
+           Normally, you should say 'N'.
+
+
+config GRAPHICS_DEBUG_VERBOSE
+       int "2D Engine Debugging verbosity (0 = quiet, 3 = noisy)"
+       depends on CELESTIAL_GRAPHICS_DEBUG
+       default "0"
+       help
+         Determines the verbosity level of the Graphics debugging messages.
+
+endmenu
+
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/Makefile linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/Makefile
--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/Makefile	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/Makefile	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,9 @@
+#
+# Makefile for the linux kernel.
+# 
+#
+
+
+ifdef CONFIG_ARCH_CELESTIAL
+obj-$(CONFIG_CELESTIAL_GRAPHICS) += blit_hw.o cnc18xx_blit.o blit_ioctl.o
+endif
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/Kconfig linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/Kconfig
--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/Kconfig	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/Kconfig	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,17 @@
+# drivers/celestial/Kconfig
+
+menu "Celestial Device Drivers"
+
+source "drivers/celestial/df/Kconfig"
+
+source "drivers/celestial/xport/Kconfig"
+
+source "drivers/celestial/video/Kconfig"
+
+source "drivers/celestial/audio/Kconfig"
+
+source "drivers/celestial/peripheral/Kconfig"
+
+source "drivers/celestial/graphics/Kconfig"
+
+endmenu
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/Makefile linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/Makefile
--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/Makefile	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/Makefile	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,10 @@
+#
+# Makefile for the Linux kernel device drivers.
+#
+
+obj-y				+= peripheral/
+obj-$(CONFIG_CELESTIAL_DF)	+= df/
+obj-$(CONFIG_CELESTIAL_XPORT)	+= xport/
+obj-$(CONFIG_CELESTIAL_VIDEO)   += video/
+obj-$(CONFIG_CELESTIAL_AUDIO)	+= audio/
+obj-$(CONFIG_CELESTIAL_GRAPHICS)	+= graphics/
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/peripheral/cnc18xx_fpc.c linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/peripheral/cnc18xx_fpc.c
